This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 965426 - SELinux is preventing /usr/libexec/postfix/master from 'unlink' accesses on the file /var/spool/postfix/private/verify.
SELinux is preventing /usr/libexec/postfix/master from 'unlink' accesses on t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:392c122c41d9ac814e9e9eb273f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 04:51 EDT by John Griffiths
Modified: 2013-07-04 05:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 05:23:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Griffiths 2013-05-21 04:51:23 EDT
Description of problem:
Used systemctl start postfix.service
SELinux is preventing /usr/libexec/postfix/master from 'unlink' accesses on the file /var/spool/postfix/private/verify.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that master should be allowed unlink access on the verify file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep master /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:postfix_master_t:s0
Target Context                system_u:object_r:postfix_private_t:s0
Target Objects                /var/spool/postfix/private/verify [ file ]
Source                        master
Source Path                   /usr/libexec/postfix/master
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           postfix-2.9.6-2.fc17.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.12-100.fc17.i686.PAE #1 SMP
                              Wed May 8 15:43:53 UTC 2013 i686 i686
Alert Count                   1
First Seen                    2013-05-21 04:46:35 EDT
Last Seen                     2013-05-21 04:46:35 EDT
Local ID                      43832801-6a88-4477-81ed-5356b38c1029

Raw Audit Messages
type=AVC msg=audit(1369125995.628:54556): avc:  denied  { unlink } for  pid=31891 comm="master" name="verify" dev="dm-4" ino=262460 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:postfix_private_t:s0 tclass=file


type=SYSCALL msg=audit(1369125995.628:54556): arch=i386 syscall=unlink success=no exit=EACCES a0=b77df868 a1=bfdc4820 a2=b77a2cf8 a3=b77df868 items=0 ppid=1 pid=31891 auid=4294967295 uid=0 gid=0 euid=89 suid=0 fsuid=89 egid=89 sgid=0 fsgid=89 ses=4294967295 tty=(none) comm=master exe=/usr/libexec/postfix/master subj=system_u:system_r:postfix_master_t:s0 key=(null)

Hash: master,postfix_master_t,postfix_private_t,file,unlink

audit2allow

#============= postfix_master_t ==============
allow postfix_master_t postfix_private_t:file unlink;

audit2allow -R

#============= postfix_master_t ==============
allow postfix_master_t postfix_private_t:file unlink;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.12-100.fc17.i686.PAE
type:           libreport
Comment 1 Fedora End Of Life 2013-07-03 20:58:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.